
From: Paul Mackerras <paulus@samba.org>

This patch from Julie DeWandel makes CONFIG_VT default to N on iSeries
machines which are using the iSeries virtual console driver viocons.c.  The
VT console and the viocons code can't coexist because they use the same tty
numbers, that is, viocons supplies /dev/tty1.  Without this patch the user
has to figure out somehow that s/he has to turn on CONFIG_EMBEDDED in order
to be able to turn off CONFIG_VT, which is really very non-obvious.


---

 25-akpm/drivers/char/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/Kconfig~disable-VT-on-iSeries-by-default drivers/char/Kconfig
--- 25/drivers/char/Kconfig~disable-VT-on-iSeries-by-default	2004-04-07 21:09:06.706119456 -0700
+++ 25-akpm/drivers/char/Kconfig	2004-04-07 21:09:06.710118848 -0700
@@ -7,7 +7,7 @@ menu "Character devices"
 config VT
 	bool "Virtual terminal" if EMBEDDED
 	select INPUT
-	default y
+	default y if !VIOCONS
 	---help---
 	  If you say Y here, you will get support for terminal devices with
 	  display and keyboard devices. These are called "virtual" because you

_
